For the complete documentation index, see llms.txt. This page is also available as Markdown.

Refunds

Get Order Refunds Available

get

Get refunds available for an order by ID. Specify the ID of the order in the {orderId} uri path parameter.

Path parameters
orderIdstringRequired

The order's ID.

Responses
200

Successful response.

application/json
currencystringRead-onlyOptional

The refund currency.

statusstringRead-onlyOptional

The current status of the refund.

get/orders/{orderId}/refunds-available
GET /orders/{orderId}/refunds-available HTTP/1.1
Host: api.digitalriver.com
Accept: */*
{
  "currency": "text",
  "lineItems": [
    {
      "lineItemId": "text",
      "price": {
        "total": {
          "amount": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountAvailableForRefund": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountRefunded": {
            "value": 1,
            "formattedValue": "text"
          }
        },
        "totalTax": {
          "amount": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountAvailableForRefund": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountRefunded": {
            "value": 1,
            "formattedValue": "text"
          }
        },
        "totalShipping": {
          "amount": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountAvailableForRefund": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountRefunded": {
            "value": 1,
            "formattedValue": "text"
          }
        },
        "totalShippingTax": {
          "amount": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountAvailableForRefund": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountRefunded": {
            "value": 1,
            "formattedValue": "text"
          }
        },
        "totalDutiesAndTariffs": {
          "amount": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountAvailableForRefund": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountRefunded": {
            "value": 1,
            "formattedValue": "text"
          }
        },
        "totalDutiesAndTariffsTax": {
          "amount": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountAvailableForRefund": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountRefunded": {
            "value": 1,
            "formattedValue": "text"
          }
        },
        "totalFee": {
          "amount": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountAvailableForRefund": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountRefunded": {
            "value": 1,
            "formattedValue": "text"
          }
        },
        "totalFeeTax": {
          "amount": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountAvailableForRefund": {
            "value": 1,
            "formattedValue": "text"
          },
          "amountRefunded": {
            "value": 1,
            "formattedValue": "text"
          }
        }
      },
      "product": {
        "companyId": "text",
        "id": "text"
      },
      "status": "text"
    }
  ],
  "price": {
    "total": {
      "amount": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountAvailableForRefund": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountRefunded": {
        "value": 1,
        "formattedValue": "text"
      }
    },
    "totalTax": {
      "amount": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountAvailableForRefund": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountRefunded": {
        "value": 1,
        "formattedValue": "text"
      }
    },
    "totalShipping": {
      "amount": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountAvailableForRefund": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountRefunded": {
        "value": 1,
        "formattedValue": "text"
      }
    },
    "totalShippingTax": {
      "amount": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountAvailableForRefund": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountRefunded": {
        "value": 1,
        "formattedValue": "text"
      }
    },
    "totalDutiesAndTariffs": {
      "amount": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountAvailableForRefund": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountRefunded": {
        "value": 1,
        "formattedValue": "text"
      }
    },
    "totalDutiesAndTariffsTax": {
      "amount": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountAvailableForRefund": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountRefunded": {
        "value": 1,
        "formattedValue": "text"
      }
    },
    "totalFee": {
      "amount": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountAvailableForRefund": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountRefunded": {
        "value": 1,
        "formattedValue": "text"
      }
    },
    "totalFeeTax": {
      "amount": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountAvailableForRefund": {
        "value": 1,
        "formattedValue": "text"
      },
      "amountRefunded": {
        "value": 1,
        "formattedValue": "text"
      }
    }
  },
  "status": "text"
}

Get Order Refunds

get

Get refunds for an order by ID. Specify the ID of the order in the {orderId} URI path parameter.

Path parameters
orderIdstringRequired

The order's ID.

Responses
200

Successful response.

application/json
get/orders/{orderId}/refunds
GET /orders/{orderId}/refunds HTTP/1.1
Host: api.digitalriver.com
Accept: */*
{
  "refunds": []
}

Create Order Refund

post

Use this method to create a refund.

Path parameters
orderIdstringRequired

The order's ID.

Body
or
Responses
200

Successful response.

application/json
or
post/orders/{orderId}/refunds
POST /orders/{orderId}/refunds HTTP/1.1
Host: api.digitalriver.com
Content-Type: application/json
Accept: */*
Content-Length: 197

{
  "type": "text",
  "category": "PRODUCT_LEVEL_PRODUCT",
  "reason": "CUSTOMER_SATISFACTION_ISSUE",
  "comments": "text",
  "refundAmount": {
    "value": 1
  },
  "lineItems": [
    {
      "lineItemId": "text",
      "refundAmount": {
        "value": 1
      }
    }
  ]
}
{
  "refunds": []
}

Order Refund Schema

get

Gets JSON schema for order refund

Path parameters
orderIdstringRequired

The order's ID.

Responses
200

Successful response.

application/json
or
or
get/orders/{orderId}/refunds/schema
GET /orders/{orderId}/refunds/schema HTTP/1.1
Host: api.digitalriver.com
Accept: */*
200

Successful response.

{
  "status": "text",
  "reason": "CUSTOMER_SATISFACTION_ISSUE",
  "comments": "text",
  "type": "PRODUCT_SHOULD_NOT_HAVE_FEE",
  "category": "PRODUCT_LEVEL_FEE",
  "generationDate": "text",
  "origin": "text",
  "overrides": "text",
  "policy": "text",
  "currency": "text",
  "totalRefunded": {},
  "outstanding": {},
  "totalRequested": {},
  "refundAmount": {
    "value": 1,
    "formattedValue": "text"
  },
  "lineItems": [
    {
      "status": "text",
      "expectedQuantity": 1,
      "returnedQuantity": 1,
      "type": "text",
      "notes": "text",
      "date": "text",
      "Product": {
        "companyId": "text",
        "id": "text",
        "externalId": "text"
      },
      "lineItemId": "text",
      "refundAmount": {
        "value": 1,
        "formattedValue": "text"
      },
      "lineItemFees": [
        {
          "feeType": "text",
          "refundAmount": {
            "value": 1,
            "currency": "text"
          }
        }
      ]
    }
  ],
  "id": "text",
  "companyId": "text",
  "siteId": "text",
  "generatedBy": "text"
}

Last updated